plugins {
	id 'java'
    id 'application'
}

group = 'click.kamil.springstatemachineexporter'
version = '1.0.0'

application {
    mainClass = 'click.kamil.springstatemachineexporter.html.Main'
}

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(21)
	}
}

repositories {
	mavenCentral()
}

dependencies {
	implementation project(':state_machine_exporter')
	
	implementation 'com.fasterxml.jackson.core:jackson-databind:2.17.1'
	implementation 'net.sourceforge.plantuml:plantuml:1.2024.3'
    implementation 'org.eclipse.jdt:org.eclipse.jdt.core:3.38.0'
    implementation 'org.slf4j:slf4j-api:2.0.12'
    implementation 'info.picocli:picocli:4.7.6'
	
	compileOnly 'org.projectlombok:lombok:1.18.46'
	annotationProcessor 'org.projectlombok:lombok:1.18.46'
	
	testImplementation 'org.junit.jupiter:junit-jupiter:5.10.2'
	testRuntimeOnly 'org.junit.platform:junit-platform-launcher'
    testImplementation 'org.assertj:assertj-core:3.27.7'
}

tasks.named('test') {
	useJUnitPlatform()
}
